#ifndef BILLYSHEET_GUI_DATA_HPP
#define BILLYSHEET_GUI_DATA_HPP

#include "character_sheet.hpp"
#include <filesystem>
#include <spdlog/spdlog.h>

namespace fs = std::filesystem;

namespace gui {
	class Window;

	class GuiData final {
	private:
		Window &window;

		character::CharacterSheet billy;

		// Is it the right place here for both ? Not sure.
		fs::path save_path{ "./" };
		std::string filename{ "character_sheet.json" };

	public:
		GuiData() = delete;

		explicit GuiData(Window &wwindow) : window(wwindow) { SPDLOG_DEBUG("Creating GUI Data"); }

		[[nodiscard]] Window &get_window() const;

		~GuiData() noexcept = default;
	};
}


#endif //BILLYSHEET_GUI_DATA_HPP
